body {
	margin: 0;
	font-family: Arial, sans-serif;
	height: 100vh;
	display: flex;
	flex-direction: column;
}

.main {
	flex: 1;
	display: flex;
}

.right {
	flex: 1;                  
	background: #f0f0f0;
	padding-top: 20px;
	padding-left: 10px;
	padding-bottom: 0px;
}

.left {
	width: 400px;           
	min-width: 300px;
	display: flex;
	flex-direction: column;
	gap: 10px;
	padding-top: 10px
}

.left-top,
.left-bottom {
	flex: 1;
	background: white;
	border: 2px solid #333;
	border-radius: 8px;
	padding: 20px;
	overflow: auto;
	box-shadow: 0 1px 1px rgba(0,0,0,0.1);
}


#canvas {
	cursor:crosshair; 
	border: 1px solid; 
	background-color: white;
	border: 2px solid #333;
	border-radius: 8px;
	overflow: auto;
	box-shadow: 0 1px 1px rgba(0,0,0,0.1);
}
#canvfunc { height: 30px }

#drawcmds 
{
	border: 0px;
	min-height: 300px;
	height: 300px
}
